$(function(){
	$('#uname').focus();
	$('#repassword').keydown(function(event){if(event.keyCode=='13') checkReg();});
});
function checkReg(){
	var uname = $('#uname').val();
	$("#error").css('display','block');
	$("#error").html('<img align="absmiddle" src="/Public/source/loading.gif"/>提交检测中..');
	var error = '<img align="absmiddle" src="/Public/source/error.gif"/>'
	if($('#uname').val().length<2){
		$("#error").html(error+'用户名必须为2位或以上!');
		$('#uname').focus();
		return false;
	}
	if($('#uname').val().length>15){
		$("#error").html(error+'用户名必须少于15位!');
		$('#uname').focus();
		return false;
	}
	var re = /[\w-]+@([a-zA-Z0-9-]+\.){1,3}[a-zA-Z]+/;
	if(!re.test($('#email').val())){
		$("#error").html(error+'邮箱格式不正确!');
		$('#email').focus();
		return false;
	}
	if($('#password').val().length<6){
		$("#error").html(error+'密码必须为6位或以上!');
		$('#password').focus();
		return false;
	}
	if($('#password').val()!=$('#repassword').val()){
		$("#error").html(error+'两次密码必须一致!');
		$('#password').focus();
		return false;
	}
	var uname = $('#uname').val();
	var email = $('#email').val();
	var password = $('#password').val();
	var repassword = $('#repassword').val();
	var code = $('#code').val();
	$.ajax({
		type: "POST",
		url: "/index.php/User/Index/checkRegForm",
		data: "uname="+uname+"&email="+email+"&password="+password+"&repassword="+repassword+"&code="+code,
		success: function(msg){
			if(msg == 1){
				$('#form').attr('action','/index.php/User/Index/checkReg');
				$('#form').append('<input type="submit" id="submit" style="display:none;"/>');
				$('#submit').click();
			}
			if(msg == -1){
				$("#error").html(error+'密码必须为6位或以上!');
				$('#password').focus();
				return false;
			}
			if(msg == -2){
				$("#error").html(error+'两次密码必须一致!');
				$('#password').focus();
				return false;
			}
			if(msg == -3){
				$("#error").html(error+'用户名必须为2位或以上!');
				$('#uname').focus();
				return false;
			}
			if(msg == -4){
				$("#error").html(error+'邮箱格式不正确!');
				$('#email').focus();
				return false;
			}
			if(msg == -5){
				$("#error").html(error+'用户名已存在!请重新选择.');
				$('#uname').focus();
				return false;
			}
			if(msg == -6){
				$("#error").html(error+'邮箱已存在!请重新选择.');
				$('#email').focus();
				return false;
			}
		}
	});
}